summaryrefslogtreecommitdiff
path: root/Microbenchmarks
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-24 14:47:13 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-24 14:47:13 +0200
commitea4766f44b11b0feca8c32f2d44d9dd5a274bf93 (patch)
tree0dca639d132811a03448659b8a6f2a0f044e06f8 /Microbenchmarks
parentd39c7edd8af938250052f2d954c82135ec0b2884 (diff)
run benchmarks with timeout of 30 minutes per configuration
Diffstat (limited to 'Microbenchmarks')
-rwxr-xr-xMicrobenchmarks/STREAM/run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Microbenchmarks/STREAM/run.sh b/Microbenchmarks/STREAM/run.sh
index 887d960..94b759b 100755
--- a/Microbenchmarks/STREAM/run.sh
+++ b/Microbenchmarks/STREAM/run.sh
@@ -21,7 +21,7 @@ for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
echo
if make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=1 \
|| make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=0; then
- bin/host_code -w 0 -e 20 -i 2097152
+ timeout -k 1m 30m bin/host_code -w 0 -e 20 -i 2097152 || true
fi
done
done